Skip to main content
PUT
Update job by ID

Authorizations

x-api-key
string
header
required

Path Parameters

jobId
string
required

Body

application/json
customer_id
integer
required

Existing customer id.

job_type
string
required
Maximum string length: 150
billing
integer
required
project_id
integer | null

Existing project id.

subtitle
string
Maximum string length: 150
status
enum<integer>

Required if status_id is not set. 1 = new, 2 = in progress, 3 = pending, 4 = completed, 5 = canceled, 6 = on the way.

Available options:
1,
2,
3,
4,
5,
6
status_id
integer

Required if status is not set. Existing custom status id.

status_workflow_id
integer

Required if status_id is set. Existing status workflow id.

start_time
integer | null

Unix timestamp.

end_time
integer | null

Unix timestamp.

due_date
integer | null

Unix timestamp.

notes
string
Maximum string length: 7500
field_notes
string
Maximum string length: 5000
location_id
integer | null

Existing location id.

generate_invoice
boolean
type
enum<string>
Available options:
task,
job
is_template
boolean
in_progress_status_log
integer | null
template_id
integer | null

Existing job template id.

hazardco_swms_id
integer | null

Existing swms file id.

maintenance_agreement_id
integer | null

Existing maintenance agreement id.

maintenance_occurrence_id
integer | null

Existing maintenance occurrence id.

recurring_parent_id
integer | null

Existing job recurring id.

task_category_id
integer | null

Existing task category id.

customer_contact_id
integer | null

Existing customer contact id.

assignments
object[]
customfields
object[] | null

Array of custom fields.

visits
object[] | null
tags
integer[]

Array of tag ids.

customer_arrival_window_start_time
integer | null

Unix timestamp.

customer_arrival_window_end_time
integer | null

Unix timestamp.

asset_ids
integer[]

Array of existing assets ids.

qb_time_class_id
integer | null

Existing Quickbooks Time class id.

Response

Successful response

error
boolean

false when the request succeeds.

Example:

false

response
object

The updated record.